#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define framework krunner

Summary:        Framework for providing different actions given a string query
Name:           %framework
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/5.41/%{framework}-%{version}.tar.xz

%rename         kf5-krunner

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  kconfig-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  plasma-framework-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  threadweaver-devel >= %version


%description
Framework for providing different actions given a string query.

%files
%_kf5_sysconfdir/xdg/krunner.categories
%_kf5_qmldir/org/kde/runnermodel
%_kf5_servicetypes/plasma-runner.desktop
%_kf5_datadir/kdevappwizard/templates/*
%_datadir/dbus-1/interfaces/kf5_org.kde.krunner1.xml

#--------------------------------------------------------------------

%define kf5krunner_major 5
%define libkf5krunner %mklibname kf5krunner %{kf5krunner_major}

%package -n %libkf5krunner
Summary:      Framework for providing different actions given a string query
Group:        System/Libraries

%description -n %libkf5krunner
Framework for providing different actions given a string query.

%files -n %libkf5krunner
%_kf5_libdir/libKF5Runner.so.%{kf5krunner_major}*

#--------------------------------------------------------------------

%define kf5krunner_devel %mklibname kf5krunner -d

%package -n %kf5krunner_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5krunner = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       kf5-krunner-devel = %{version}-%{release}

%description -n %kf5krunner_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5krunner_devel
%_kf5_libdir/libKF5Runner.so
%_kf5_libdir/cmake/KF5Runner/
%_kf5_includedir/KRunner/
%_kf5_includedir/krunner_version.h
%_kf5_mkspecsdir/qt_KRunner.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%make_build

%install
%make_install -C build



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194156
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088990
- New version 5.32.0

* Mon Jan 16 2017 neoclust <neoclust> 5.29.0-3.mga6
+ Revision: 1081976
- Rebuild on armv7

* Mon Jan 16 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1081965
- Rebuild for ARM

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074562
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072226
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058381
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050558
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045136
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041358
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021956
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014366
- New version 5.22.0

* Wed Apr 13 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1001030
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986967
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942275
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921330
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909920
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900435
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899548
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898967
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888207
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881431
- New version 5.14.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863318
- New version 5.13.0
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853920
- New version 5.12.0

* Wed Jul 08 2015 neoclust <neoclust> 5.11.0-3.mga6
+ Revision: 852695
- Add  kf5-krunner-devel as a provide

* Wed Jul 08 2015 neoclust <neoclust> 5.11.0-2.mga6
+ Revision: 852663
- Rename to kruner
- revert commit
- revert commit
- Rename

* Fri Jul 03 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849819
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 804103
- New version

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743555
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681049
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 661765
- New version 5.1.0

* Sat Jul 19 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653755
- Fix provides
- imported package kf5-krunner

